---
description: Publish to the Docker Store
draft: true
keywords:
- Docker, docker, store, purchase images
menu:
  main:
    parent: docker-store
title: Become a Publisher
---

# Become a Docker Store Publisher

Apply to become a Docker Store Publisher by signing up [here](https://store.docker.com/publisher/signup).

The Docker Store is an easy way for you to distribute and sell your Dockerized products. When you list your products as a Docker Publisher you get lots of benefits:

* **Access to our huge customer base.** Docker has had phenomenal adoption and
is wildly popular in many environments. Customers using Docker also use Docker Hub and Docker Cloud, and soon the Docker Store, where they find and download Docker Content.

* **Seamless installation, updates, and upgrades.** Customers can try and buy from within their Docker environment, and we'll tell them when there are upgrades or updates available.

* **We'll handle checkout.** No shopping cart site hassles when you sell your products through the Docker Store - we'll handle that for you.

* **It’s a win-win situation.** Solid Content improves our product ecosystem, and our flexible products help you get your Content to market.

## What can I distribute in the Docker Store?

The Docker Store welcomes free, open-source, and subscription content. To offer
content for sale, you can allow users to buy subscriptions through the Docker
Store, or you can use the Docker Store to distribute your product and have users
buy a license key from your own site.

## Sounds great! How do I become a Publisher?

Apply to become a Docker Store Publisher by signing up [here](https://store.docker.com/publisher/signup).

Once you're accepted to the program, you can expect the following steps in the process:

1. Fill out your Publisher profile.
2. Provide information about the software you want to distribute
3. Submit your images, with their information packets, for review.

**Provide high-quality images by following these guidelines**

### Create your publisher profile

Let the Docker community know who you are! Add your contact details, your
company story, and tell us what you do.

At minimum, you must provide:

* Legal entity name
* Short Description
* Website
* Phone number
* Valid company email
* Company Icon/logo (square; at least 512x512 px)


### Create great content

Create your content, and follow our best practices to Dockerize it. Keep your
images small, your layers few, and your components secure. As a member of our
Publisher program, you'll receive help and support to create and maintain
high-quality images that demonstrate Docker best practices.

Additionally, any images offered in the Docker Store must be free from known CVE
vulnerabilities. Docker Cloud now provides Docker Security Scanning to help you
spot and respond to vulnerabilities as they're announced.

### Support your users

Docker users who download your content from the Store might need your help
later. Be prepared for questions! The information you provide with your
submission will save support time later.

**Documentation**

If there is documentation about your product, make sure you include it in your
submission. This could be links to a documentation site, or even a link to a
README in Github. At the very least, this documentation must cover installing
your content, and an overview of the software's capabilities and features.

**Support Information**

If you provide support along with your content, include that information.
Is there a support website? What email address can users contact for help? Are
there self-help or troubleshooting resources available?

**Support SLA**

Include a Service Level Agreement (SLA) for each image you're offering for the
Store. A SLA is your commitment to your users about the nature and level of
support you provide to them. Make sure your SLA includes support hours and
response time expectations, where applicable.

### Product submission packet contents

You can apply to become a Docker Store Publisher at any time. However, when  you
submit an image for publication, you must provide the following information. Use
this list below as a checklist when preparing a new submission.

* Link to the source repository or registry
* Product **Name**.
* Product **Version**, including the image, version, or tag names to include.
* Product **Icon** or logo (square, at least 512x512 px)
* Content **type**: Docker Container Image, Plugin, Cloud Service, or Composition.
* Search tags.
* List of **Categories** that apply to this product: Database, Networking, Business Software, etc.
* List of **supported architectures**.
* **Short description**: a one-to-two-sentence summary, 140 characters or fewer.
* Long **description**: includes product details and any marketing copy.
* **Installation instructions**.
* Usage instructions and **documentation**.
* Support link.
* License type and link.
* Screenshot(s).
